image:
  # image.pullPolicy -- imagePullPolicy - Highly recommended to leave this as `Always`
  pullPolicy: Always
  # image.repository -- Repository for the gemini image
  repository: quay.io/fairwinds/gemini
  # image.tag -- The gemini image tag to use. Defaults to .Chart.appVersion
  tag:

rbac:
  # rbac.create -- If true, create a new ServiceAccount and attach permissions
  create: true
  # If rbac.create is false, the name of an existing ServiceAccount to use
  serviceAccountName:

# verbosity -- How verbose the controller logs should be
verbosity: 5

# resources -- The resources block for the controller pods
resources:
  requests:
    memory: 64Mi
    cpu: 25m
  limits:
    memory: 512Mi
    cpu: 200m

# tolerations -- Taint tolerations for nodes
tolerations: []
  # - key: "dedicated"
  #   operator: "Equal"
  #   value: "app"
  #   effect: "NoSchedule"

# nodeSelector -- Select nodes to deploy which matches the following labels
nodeSelector: {}
  # cloud.google.com/gke-nodepool: default-pool

# affinity -- Pod affinity and pod anti-affinity allow you to specify rules about how pods should be placed relative to other pods.
affinity: {}
#  nodeAffinity:
#    requiredDuringSchedulingIgnoredDuringExecution:
#      nodeSelectorTerms:
#      - matchExpressions:
#        - key: disktype
#          operator: In
#          values:
#          - ssd

# additionalPodLabels -- Additional labels added on pod
additionalPodLabels: {}
  # env: prod

# additionalPodAnnotations -- Additional annotations added on pod
additionalPodAnnotations: {}
  # key: value
